[DIALOG_102]
BUTTON_1002=Clear
BUTTON_1003=Exit
BUTTON_1005=Manual
BUTTON_1006=Auto
BUTTON_1097=File
BUTTON_1007=Decimal
BUTTON_1008=Hex
BUTTON_1010=Read SN
BUTTON_1011=Clear
BUTTON_1013=Write SN
BUTTON_1014=Clear
BUTTON_1015=Input Mode
BUTTON_1016=Auto Carry
BUTTON_1017=Stat
BUTTON_1020=Mac File
BUTTON_1021=Input Mode
BUTTON_1022=Manual
BUTTON_1023=File
BUTTON_1024=Stat
BUTTON_1027=Address Segment
BUTTON_1036=Read MAC
BUTTON_1037=Clear
BUTTON_1038=Write MAC
BUTTON_1039=Clear
BUTTON_1040=Input Mode
BUTTON_1041=Manual
BUTTON_1042=File
BUTTON_1043=BT File
BUTTON_1044=Stat
BUTTON_1047=Address Segment
BUTTON_1056=Read BT
BUTTON_1057=Clear
BUTTON_1058=Write BT
BUTTON_1059=Clear
BUTTON_1060=Input Mode
BUTTON_1061=Manual
BUTTON_1062=File
BUTTON_1063=IMEI File
BUTTON_1064=Stat
BUTTON_1067=Address Segment
BUTTON_1074=Read IMEI
BUTTON_1075=Clear
BUTTON_1076=Write IMEI
BUTTON_1077=Clear
BUTTON_1079=Config



BUTTON_1085=Stat
BUTTON_1089=Read
BUTTON_1090=Write
BUTTON_1091=Clear
BUTTON_1096=Reset After Writing
BUTTON_1117=Lock Device
BUTTON_1098=Stat
BUTTON_1101=Read
BUTTON_1102=Clear
BUTTON_1103=Write
BUTTON_1104=Refresh
BUTTON_1105=SN
BUTTON_1106=MAC
BUTTON_1107=BT
BUTTON_1108=IMEI
BUTTON_1109=BID
BUTTON_1116=LOCK
BUTTON_1115=WIFI

BUTTON_1118=Input Mode
BUTTON_1122=Stat
BUTTON_1125=Address Segment
BUTTON_1121=Wifi File
BUTTON_1135=Clear
BUTTON_1137=Clear
BUTTON_1134=Read WIFI
BUTTON_1136=Write WIFI
BUTTON_1120=File
BUTTON_1119=Manual

DIALOG_TITLE=UpgradeDll Tool
LABEL_1004=
LABEL_1018=Success:
LABEL_1019=0
LABEL_1025=Success:
LABEL_1026=0
LABEL_1028=Start:
LABEL_1029=00-00-00-00-00-00
LABEL_1030=End:
LABEL_1031=Current:
LABEL_1032=00-00-00-00-00-00
LABEL_1033=00-00-00-00-00-00
LABEL_1045=Success:
LABEL_1046=0
LABEL_1048=Start:
LABEL_1049=00-00-00-00-00-00
LABEL_1050=End:
LABEL_1051=00-00-00-00-00-00
LABEL_1052=Current:
LABEL_1053=00-00-00-00-00-00
LABEL_1065=Success:
LABEL_1066=0
LABEL_1068=Start:
LABEL_1069=000000000000000
LABEL_1070=End:
LABEL_1071=Current:

LABEL_1086=Success:
LABEL_1087=0
LABEL_1092=000000000000000
LABEL_1093=000000000000000
LABEL_1099=Success:
LABEL_1100=0
TABCTRL_1000_Tab_0=SN
TABCTRL_1000_Tab_1=MAC
TABCTRL_1000_Tab_2=WIFI
TABCTRL_1000_Tab_3=BT
TABCTRL_1000_Tab_4=IMEI
TABCTRL_1000_Tab_5=All
TABCTRL_1000_Tab_6=CUSTOM

LABEL_1123=Success:
LABEL_1124=0
LABEL_1126=Start:
LABEL_1127=00-00-00-00-00-00
LABEL_1130=Current:
LABEL_1131=00-00-00-00-00-00
LABEL_1128=End:
LABEL_1129=00-00-00-00-00-00

[Prompt]
IDG_HEADER_OFFSET=Offset
IDG_HEADER_NAME=Name
IDG_HEADER_VALUE_TYPE=Type
IDG_HEADER_VALUE=Value
IDG_COMBO_FILE=File
IDG_COMBO_STRING=String
IDG_COMBO_NUMBER=Number
IDM_ADD=Add
IDM_DEL=Del
IDM_CLEAR=Clear
IDM_MOVEUP=MoveUp
IDM_MOVEDOWN=MoveDown
IDM_LOAD=LoadConfig
IDM_EXPORT=ExportConfig
INFO_NO_DEVICE=No found any device
INFO_ONE_MSC=Found one msc device
INFO_ONE_ADB=Found one adb device
INFO_ONE_ROCKUSB=Found one rocksub device
INFO_MANY_DEVICE=Found many devices

ERROR_ACTION_RUN=Action is running,please exit later!
ERROR_LOAD_MAC_FILE=Loading MAC address file failed!
ERROR_LOAD_WIFI_FILE=Loading WIFI address file failed!
ERROR_LOAD_BT_FILE=Loading BT address file failed!
ERROR_LOAD_IMEI_FILE=Loading IMEI file failed!
ERROR_LOAD_SN_FILE=Loading SN file failed!

ERROR_NO_DEVICE=No found any devices can do!
ERROR_MANY_DEVICE=Found many devices can do!
INFO_SWITCH_START=Start to switch device ...
ERROR_SWITCH_DEVICE=Switch device failed!

INFO_READSN_START=Start to read sn...
ERROR_READSN_FAIL=Read sn failed!
INFO_READSN_OK=Reading sn OK.

INFO_WRITESN_START=Start to write sn...
ERROR_SN_EMPTY=SN is empty!
ERROR_SN_PREFIX_NOTMATCH=Prefix string is not match in the sn!
ERROR_SN_INVALID=SN is invalid!
ERROR_SN_CONVERT=Converting sn failed!
ERROR_WRITESN_FAIL=Write sn failed!
INFO_WRITESN_OK=Writing sn OK.

INFO_READMAC_START=Start to read mac...
ERROR_READMAC_FAIL=Reading mac failed!
INFO_READMAC_OK=Reading mac OK.

INFO_WRITEMAC_START=Start to write mac...
ERROR_MAC_EMPTY=Mac is empty!
ERROR_MAC_INVALID=Mac is invalid!
ERROR_WRITEMAC_FAIL=Writing mac failed!
INFO_WRITEMAC_OK=Writing mac OK.
INFO_MAC_VALUE_END=Mac has been run out of.

INFO_READWIFI_START=Start to read wifi...
ERROR_READWIFI_FAIL=Reading wifi failed!
INFO_READWIFI_OK=Reading wifi OK.

INFO_WRITEWIFI_START=Start to write wifi...
ERROR_WIFI_EMPTY=Wifi is empty!
ERROR_WIFI_INVALID=Wifi is invalid!
ERROR_WRITEWIFI_FAIL=Writing wifi failed!
INFO_WRITEWIFI_OK=Writing wifi OK.
INFO_WIFI_VALUE_END=Wifi has been run out of.

INFO_READBT_START=Start to read bt...
ERROR_READBT_FAIL=Reading bt failed!
INFO_READBT_OK=Reading bt OK.

INFO_WRITEBT_START=Start to write bt...
ERROR_BT_EMPTY=BT is empty!
ERROR_BT_INVALID=BT is invalid!
ERROR_WRITEBT_FAIL=Writing bt failed!
INFO_WRITEBT_OK=Writing bt OK.
INFO_BT_VALUE_END=BT has been run out of.

INFO_READIMEI_START=Start to read imei...
ERROR_READIMEI_FAIL=Reading imei failed!
INFO_READIMEI_OK=Reading imei OK.

INFO_WRITEIMEI_START=Start to write imei...
ERROR_IMEI_EMPTY=Imei is empty!
ERROR_IMEI_INVALID=Imei is invalid!
ERROR_WRITEIMEI_FAIL=Writing imei failed!
INFO_WRITEIMEI_OK=Writing imei OK.
INFO_IMEI_VALUE_END=Imei has been run out of.
ERROR_IMEI_CONVERT=Converting imei failed!

INFO_READAll_START=Start to read all data...
ERROR_NO_CHECKITEM_READ=None of checked item to read!
ERROR_READALL_FAIL=Reading all data failed!
INFO_READALL_OK=Reading all data OK.

INFO_WRITEALL_START=Start to write all data...
ERROR_NO_CHECKITEM_WRITE=None of checked item to write!
ERROR_WRITEALL_FAIL=Writing all data failed!
INFO_WRITEALL_OK=Writing all data OK.

INFO_READCUSTOM_START=Start to read custom data...
ERROR_READCUSTOM_FAIL=Reading custom data failed!
INFO_READCUSTOM_OK=Reading custom data OK.

INFO_WRITECUSTOM_START=Start to write custom data...
ERROR_MERGE_CUSTOM=Merging custom data failed!
ERROR_WRITECUSTOM_FAIL=Writing custom data failed!
INFO_WRITECUSTOM_OK=Writing custom data OK.

ERROR_EXPORT_CONFIG_FAIL=Exporting config failed!
INFO_EXPORT_CONFIG_OK=Export config OK.
ERROR_LOAD_CONFIG_FAIL=Loading config failed!
INFO_LOAD_CONFIG_OK=Load config OK.

ERROR_BID_EMPTY=BID is empty!
ERROR_BID_INVALID=BID is invalid!
ERROR_WRITEBID_FAIL=Writing bid of all data failed!
ERROR_READBID_FAIL=Reading bid of all data failed!
ERROR_CHECK_CERT=Checking certificate failed!
ERROR_INVALID_CERT=The certificate is invalid!
ERROR_CERT_EXPIRED=The certificate is expired!
ERROR_OPEN_CHANNEL=Opening Channel failed!